package com.starbuds.server.service.task.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.io.Serializable;

/**
 * 支付状态
 *
 * @author Lay
 * @date 2019/12/17
 */
@Getter
@AllArgsConstructor
public enum ScoreRankTypeEnum implements Serializable {
    /**
     * 小时榜
     */
    HOURLY(1, "tb_score_rank_hourly"),

    /**
     * 日榜
     */
    DAILY(2, "tb_score_rank_daily"),

    /**
     * 周榜
     */
    WEEKLY(3, "tb_score_rank_weekly"),

    /**
     * 月榜
     */
    MONTHLY(4, "tb_score_rank_monthly"),
    ;

    private int value;
    private String table;

    public static ScoreRankTypeEnum toEnum(int value) {
        for (ScoreRankTypeEnum obj : ScoreRankTypeEnum.values()) {
            if (obj.getValue() == value) {
                return obj;
            }
        }
        return null;
    }
}
