package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.ActivityGiveRewardBatchDetailHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper
 */
@Mapper
@Repository
public interface ActivityGiveRewardBatchDetailHisDAO {

    /**
     * 插入数据
     */
    int insert(ActivityGiveRewardBatchDetailHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ActivityGiveRewardBatchDetailHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ActivityGiveRewardBatchDetailHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ActivityGiveRewardBatchDetailHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ActivityGiveRewardBatchDetailHisDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ActivityGiveRewardBatchDetailHisDO> selectPageList(QueryWrapper qw);

    /**
     * 检查之前是否存在
     *
     * @param userId
     * @param activityId
     * @param giftId
     * @param createDate
     * @return
     */
    Integer checkExist(@Param("userId") Long userId, @Param("activityId") Long activityId, @Param("rankType") Integer rankType, @Param("giftId") Long giftId, @Param("createDate") Integer createDate);
}