package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.ActivityGiveRewardConfigItemDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper
 */
@Mapper
@Repository
public interface ActivityGiveRewardConfigItemDAO {

    /**
     * 插入数据
     */
    int insert(ActivityGiveRewardConfigItemDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<ActivityGiveRewardConfigItemDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(ActivityGiveRewardConfigItemDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    ActivityGiveRewardConfigItemDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    ActivityGiveRewardConfigItemDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<ActivityGiveRewardConfigItemDO> selectPageList(QueryWrapper qw);

    /**
     * 获取配置列表
     *
     * @param rewardConfigId
     * @return
     */
    List<ActivityGiveRewardConfigItemDO> getItemWards(Long rewardConfigId);
}