package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.ActivityHeadlinePeriodDO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/12/28
 */
@Mapper
@Repository
public interface ActivityHeadlinePeriodDAO {
    /**
     * 查询今日最大期号
     *
     * @param activityId
     * @param beginTime
     * @param endTime
     * @return
     */
    @Select("SELECT max(periodId) FROM tb_activity_headline_period WHERE configId in (SELECT configId FROM tb_activity_headline_config WHERE activityId = #{activityId}) AND createTime BETWEEN #{beginTime} AND #{endTime}")
    Integer selectLastPeriodId(@Param("activityId") long activityId, @Param("beginTime") long beginTime, @Param("endTime") long endTime);

    /**
     * 创建期数
     *
     * @param activityHeadlinePeriodDO
     * @return
     */
    @Insert("INSERT INTO tb_activity_headline_period(configId, periodId, periodStatus, usersCount, timesCount, periodRewardConfig, createTime, overTime, winnerItemId, priceType, price) VALUES (#{configId}, #{periodId}, #{periodStatus}, #{usersCount}, #{timesCount}, #{periodRewardConfig}, #{createTime}, #{overTime}, #{winnerItemId}, #{priceType}, #{price})")
    int insert(ActivityHeadlinePeriodDO activityHeadlinePeriodDO);
}
