package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.StatGoldCoinExchangeDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 金币商品订单
 *
 * @author aoe
 * @date 2021/9/7
 */
@Mapper
@Repository
public interface CoinGoodsOrderDAO {

    /**
     * 统计消费的用户数量
     *
     * @param startTime
     * @param endTime
     * @param goodsPriceType
     * @return
     */
    int selectUserCount(@Param("startTime") Long startTime,
                        @Param("endTime") Long endTime,
                        @Param("goodsPriceType") int goodsPriceType);

    /**
     * 获得兑换物品统计列表
     *
     * @param startTime
     * @param endTime
     * @param goodsPriceType
     * @return
     */
    List<StatGoldCoinExchangeDO> selectExchangeItems(@Param("startTime") Long startTime,
                                                     @Param("endTime") Long endTime,
                                                     @Param("goodsPriceType") int goodsPriceType);
}
