package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.FamilyAuditDO;
import com.starbuds.server.service.task.entity.FamilyAuditDTO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/11/23 14:23
 * @Description 家族审核持久层
 */
@Mapper
@Repository
public interface FamilyAuditDAO {

    /**
     * 查询符合条件的审核记录id
     *
     * @param curDate
     * @return
     */
    List<Long> selectAuditIds(@Param("curDate") Long curDate);

    /**
     * 根据id查询
     *
     * @param auditId
     * @return
     */
    FamilyAuditDO selectById(@Param("auditId") Long auditId);


    /**
     * 更新状态
     *
     * @param auditId
     * @param auditStatus
     * @param auditTime
     * @param auditMsg
     * @param adminId
     * @return
     */
    int updateStatus(@Param("auditId") Long auditId, @Param("auditStatus") Integer auditStatus, @Param("auditMsg") String auditMsg, @Param("auditTime") Long auditTime, @Param("adminId") Long adminId);

    /**
     * 获取家族人员流动数据
     *
     * @param familyIds
     * @param startTimestamp
     * @param endTimestamp
     * @return
     */
    @MapKey("auditKey")
    Map<String, FamilyAuditDTO> getFamilyTurnover(@Param("familyIds") List<Long> familyIds, @Param("startTimestamp") Long startTimestamp, @Param("endTimestamp") Long endTimestamp);
}
