package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.FamilyBankcardDO;
import com.starbuds.server.common.pojo.db.FamilyWalletHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author qinjiang
 * @DateTime 2021-08-26 14:19:08
 * @Description 家族钱包记录
 */
@Mapper
@Repository
public interface FamilyWalletHisDAO {

    /**
     * 根据身份证获取家族ID
     *
     * @param cardID
     * @return
     */
    List<FamilyBankcardDO> getFamilyBankcard(@Param("cardID") String cardID);

    /**
     * 获取家族钱包记录
     *
     * @param familyId
     * @param startTimestamp
     * @param endTimestamp
     * @param cursor
     * @param pageSize
     * @return
     */
    List<FamilyWalletHisDO> getFamilyWalletHis(@Param("familyId") Long familyId, @Param("startTimestamp") Long startTimestamp, @Param("endTimestamp") Long endTimestamp, @Param("cursor") int cursor, @Param("pageSize") int pageSize);
}
