package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.GiftDO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/2 16:06
 * @Description 礼物
 */
@Mapper
@Repository
public interface GiftDAO {

    /**
     * 获取礼物价格
     *
     * @param giftIds
     * @return
     */
    @MapKey("giftId")
    Map<Long, GiftDO> selectPrices(@Param("giftIds") List<Long> giftIds);

    /**
     * 查询礼物
     *
     * @param giftId
     * @return
     */
    GiftDO selectById(@Param("giftId") Long giftId);
}

