package com.starbuds.server.service.task.dao;

import com.starbuds.server.service.task.entity.PushDeviceDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/19 17:30
 * @Description 推送设备
 */
@Mapper
@Repository
public interface PushDeviceDAO {

    /**
     * 获取推送设备
     *
     * @param userIds
     * @return
     */
    List<PushDeviceDTO> selectDevices(@Param("userIds") List<Long> userIds);

    /**
     * 获取包名
     *
     * @return
     */
    List<String> selectPackageNames();

    /**
     * 根据包名统计
     *
     * @param packageName
     * @return
     */
    int countByPackageName(@Param("packageName") String packageName);

    /**
     * 获取条数
     *
     * @return
     */
    int countAll();
}
