package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.PushTaskDO;
import com.starbuds.server.service.task.entity.PushTaskDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/6/17 17:33
 * @Description 推送任务持久层
 */
@Mapper
@Repository
public interface PushTaskDAO {

    /**
     * 判断是否存在
     *
     * @param taskId
     * @return
     */
    int countById(@Param("taskId") Long taskId);

    /**
     * 更新状态
     *
     * @param taskId
     * @param taskStatus
     * @param whereTaskStatus
     * @return
     */
    int updateStatus(@Param("taskId") Long taskId, @Param("taskStatus") Integer taskStatus, @Param("whereTaskStatus") Integer whereTaskStatus);

    /**
     * 获取推送任务
     *
     * @param taskId
     * @return
     */
    PushTaskDTO selectTask(@Param("taskId") Long taskId);

    /**
     * 更新任务数量
     *
     * @param taskId
     * @param totalNum
     * @param subNum
     * @param executeNum
     * @param executeSubNum
     * @return
     */
    int updateTaskNum(@Param("taskId") Long taskId,
                      @Param("totalNum") Integer totalNum,
                      @Param("subNum") Integer subNum,
                      @Param("executeNum") Integer executeNum,
                      @Param("executeSubNum") Integer executeSubNum);

    /**
     * 插入
     *
     * @param taskDO
     * @return
     */
    int insert(PushTaskDO taskDO);

    /**
     * 更新推送成功
     *
     * @param taskId
     * @param taskStatus
     * @return
     */
    int updatePushSuccess(@Param("taskId") Long taskId, @Param("taskStatus") Integer taskStatus);

    /**
     * 更新推送成功
     *
     * @param taskId
     * @param taskStatus
     * @param failureReason
     * @return
     */
    int updatePushFailed(@Param("taskId") Long taskId, @Param("taskStatus") Integer taskStatus, @Param("failureReason") String failureReason);
}
