package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.RtcRoomDO;
import com.starbuds.server.common.pojo.rtc.RtcRoomHeat;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/8/20 13:56
 * @Description 语音房持久层
 */
@Mapper
@Repository
public interface RtcRoomDAO {

    /**
     * 批量更新语音房热度
     *
     * @param list
     * @return
     */
    int batchUpdateHeat(@Param("list") List<RtcRoomHeat> list);

    /**
     * 更新热度
     *
     * @param roomHeat
     * @return
     */
    int updateHeat(RtcRoomHeat roomHeat);

    /**
     * 查询热度房间 id
     *
     * @return
     */
    List<Long> selectHeatRoomIds();

    /**
     * 获得房间列表类型信息
     *
     * @param roomIds
     * @return
     */
    @MapKey("roomId")
    Map<Long, RtcRoomDO> selectRoomBusinessMap(@Param("roomIds") List<Long> roomIds);

    /**
     * 更新房间背景图
     *
     * @param backgroudIds
     * @return
     */
    int updateRtcRoomBackground(@Param("backgroudIds") List<Integer> backgroudIds);
}
