package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.RtcRoomFavDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import com.starbuds.server.service.task.entity.rtc.StatRtcRoomDTO;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 语音房用户收藏表 Mapper
 */
@Mapper
@Repository
public interface RtcRoomFavDAO {

    /**
     * 插入数据
     */
    int insert(RtcRoomFavDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<RtcRoomFavDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(RtcRoomFavDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    RtcRoomFavDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    RtcRoomFavDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<RtcRoomFavDO> selectPageList(QueryWrapper qw);

    /**
     * 根据ids获得 DO Map
     *
     * @param ids id集合
     * @return Map<主键, DO对象>
     */
    @MapKey("roomId")
    Map<Long, RtcRoomFavDO> selectMapByIds(@Param("ids") Collection ids);

    /**
     * 获取收藏用户
     *
     * @param startTime
     * @param endTime
     * @return
     */
    List<StatRtcRoomDTO> selectRoomFavoriteByTime(@Param("startTime") Long startTime, @Param("endTime") Long endTime);
}