package com.starbuds.server.service.task.dao;

import com.starbuds.server.common.pojo.db.RtcRoomDO;
import com.starbuds.server.common.pojo.db.StatRtcRoomGradeDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 房间消费统计表 Mapper
 */
@Mapper
@Repository
public interface StatRtcRoomGradeDAO {

    /**
     * 插入数据
     */
    int insert(StatRtcRoomGradeDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<StatRtcRoomGradeDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(StatRtcRoomGradeDO po);

    /**
     * 批量插入或者更新
     *
     * @param list
     * @return
     */
    int batchInsertOrUpdate(List<StatRtcRoomGradeDO> list);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    StatRtcRoomGradeDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    StatRtcRoomGradeDO selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<StatRtcRoomGradeDO> selectPageList(QueryWrapper qw);

    /**
     * 根据ids获得 DO Map
     *
     * @param ids id集合
     * @return Map<主键, DO对象>
     */
    @MapKey("hisId")
    Map<Long, StatRtcRoomGradeDO> selectMapByIds(@Param("ids") Collection ids);

    /**
     * 获得房间消费统计表中的房间编号
     *
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<Long> getStatRoomIDList(@Param("pageCursor") Integer pageCursor, @Param("pageSize") Integer pageSize);

    /**
     * 批量更新房间类型
     *
     * @param list
     * @return
     */
    int batchUpdateRoomType(@Param("list") List<RtcRoomDO> list);

}