package com.starbuds.server.service.task.dao;

import com.starbuds.server.service.task.entity.annual.StatActivityAnnualDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;

/**
 * 用户参与活动详情
 */
@Mapper
@Repository
public interface UserActivityScoreDetailDAO {

//    /**
//     * 获取参与的用户数量
//     * @param activityIds
//     * @return
//     */
//    Long getPartakePeopleNum(List<Long> activityIds,Long dayBegin,Long dayEnd);
//
//    /**
//     * 获取参与的房间数量
//     * @param activityIds
//     * @param dayBegin
//     * @param dayEnd
//     * @return
//     */
//    Long getPartakeRoomNum(List<Long> activityIds,Long dayBegin,Long dayEnd);
//
//    /**
//     * 获取参与的家族数量
//     * @param activityIds
//     * @param dayBegin
//     * @param dayEnd
//     * @return
//     */
//    Long getPartakeFamilyNum(List<Long> activityIds,Long dayBegin,Long dayEnd);
//
//    /**
//     * 获得活动的积分数量
//     * @param activityIds
//     * @param dayBegin
//     * @param dayEnd
//     * @return
//     */
//    Long getTotalScore(List<Long> activityIds,Long dayBegin,Long dayEnd);
//
//    /**
//     * 获得赠送次数(收礼、赠送、贡献)
//     * @param activityIds
//     * @param dayBegin
//     * @param dayEnd
//     * @return
//     */
//    Long getRecordCount(List<Long> activityIds,Long dayBegin,Long dayEnd);

    /**
     * 获取活动的用户维度信息
     *
     * @param activityIds
     * @param dayBegin
     * @param dayEnd
     * @return
     */
    List<StatActivityAnnualDTO> getStatActivityUserList(@Param("activityIds") List<Long> activityIds, @Param("dayBegin") Long dayBegin, @Param("dayEnd") Long dayEnd,
                                                        @Param("pageCursor") Integer pageCursor, @Param("pageSize") Integer pageSize);

    /**
     * 获取房间维度信息
     *
     * @param activityIds
     * @param dayBegin
     * @param dayEnd
     * @return
     */
    List<StatActivityAnnualDTO> getStatActivityRoomList(@Param("activityIds") List<Long> activityIds, @Param("dayBegin") Long dayBegin, @Param("dayEnd") Long dayEnd,
                                                        @Param("pageCursor") Integer pageCursor, @Param("pageSize") Integer pageSize);

    /**
     * 获取家族维度信息
     *
     * @param activityIds
     * @param dayBegin
     * @param dayEnd
     * @return
     */
    List<StatActivityAnnualDTO> getStatActivityFamilyList(@Param("activityIds") List<Long> activityIds, @Param("dayBegin") Long dayBegin, @Param("dayEnd") Long dayEnd,
                                                          @Param("pageCursor") Integer pageCursor, @Param("pageSize") Integer pageSize);

    /**
     * 获得活动的参与人数
     *
     * @param activityIds 活动ID
     * @param dayBegin    年月日开始时间
     * @param dayEnd      年月日结束时间
     * @return
     */
    Long getPartakePeopleNum(@Param("activityIds") List<Long> activityIds, @Param("dayBegin") Long dayBegin, @Param("dayEnd") Long dayEnd);
}
