package com.starbuds.server.service.task.entity.excel.export;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 钱包提现记录
 *
 * @author aoe
 */
@Data
@HeadRowHeight(value = 40)
public class UserWalletWithdrawHisExcel implements Serializable {
    /**
     * 提款人姓名
     */
    @ExcelProperty(value = "提款人姓名", index = 0)
    @ColumnWidth(value = 18)
    private String userName;
    /**
     * 星芽号
     */
    @ExcelProperty(value = "星芽号", index = 1)
    @ColumnWidth(value = 16)
    private String userNo;
    /**
     * 收款账号
     */
    @ExcelProperty(value = "收款账号", index = 2)
    @ColumnWidth(value = 25)
    private String withdrawAccount;
    /**
     * 真实姓名
     */
    @ExcelProperty(value = "真实姓名", index = 3)
    @ColumnWidth(value = 16)
    private String realName;
    /**
     * 开户预留手机号
     */
    @ExcelProperty(value = "开户预留手机号", index = 4)
    @ColumnWidth(value = 20)
    private String mobile;
    /**
     * 身份证号
     */
    @ExcelProperty(value = "身份证号", index = 5)
    @ColumnWidth(value = 25)
    private String idCardNo;
    /**
     * 提取数量
     */
    @ExcelProperty(value = "提取数量", index = 6)
    @ColumnWidth(value = 18)
    private String amount;
    /**
     * 实际金额
     */
    @ExcelProperty(value = "实际金额", index = 7)
    @ColumnWidth(value = 16)
    private String actualAmount;
    /**
     * 公会金额
     */
    @ExcelProperty(value = "公会金额", index = 8)
    @ColumnWidth(value = 16)
    private String agentAmount;
    /**
     * 税金
     */
    @ExcelProperty(value = "税金", index = 9)
    @ColumnWidth(value = 16)
    private String taxAmount;
    /**
     * 工会比例
     */
    @ExcelProperty(value = "公会比例", index = 10)
    @ColumnWidth(value = 16)
    private String agentRatio;
    /**
     * 用户提现比例
     */
    @ExcelProperty(value = "用户提现比例", index = 11)
    @ColumnWidth(value = 16)
    private String userRatio;
    /**
     * 个税比例
     */
    @ExcelProperty(value = "个税比例", index = 12)
    @ColumnWidth(value = 16)
    private String userTaxRatio;

    /**
     * 审核状态名称
     */
    @ExcelProperty(value = "提现状态", index = 13)
    @ColumnWidth(value = 16)
    private String applyStatusName;

    /**
     * 打款状态
     */
    @ExcelProperty(value = "打款状态", index = 14)
    @ColumnWidth(value = 16)
    private String payStatusStr;

    /**
     * 审核信息 提现时间 审核时间 审核人
     */
    @ExcelProperty(value = "审核信息", index = 15)
    @ColumnWidth(value = 40)
    private String auditInfo;

    /**
     * 打款方式
     */
    @ExcelProperty(value = "打款方式", index = 16)
    @ColumnWidth(value = 20)
    private String payTypeName;

}