package com.starbuds.server.service.task.impl;

import com.starbuds.server.common.constant.rocketmq.RocketTag;
import com.starbuds.server.common.constant.rocketmq.RocketTopic;
import com.starbuds.server.common.pojo.db.PushTaskDO;
import com.starbuds.server.common.pojo.mq.QueuePushTaskAddMsg;
import com.starbuds.server.common.service.task.PushService;
import com.starbuds.server.service.task.dao.PushTaskDAO;
import com.starbuds.server.service.task.rocket.RocketProducer;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/6 14:20
 * @Description 推送任务
 */
@Service(version = "1.0.0")
public class PushServiceImpl implements PushService {

    @Resource
    PushTaskDAO pushTaskDAO;

    @Resource
    RocketProducer rocketProducer;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean addPushTask(PushTaskDO taskDO) {

        if (pushTaskDAO.insert(taskDO) > 0) {

            Long executeTime = taskDO.getExecuteTime();

            QueuePushTaskAddMsg addMsg = new QueuePushTaskAddMsg();
            addMsg.setTaskId(taskDO.getTaskId());
            if (executeTime == null) {
                executeTime = 0L;
            }
            rocketProducer.sendMsg(RocketTopic.TPC_DELAY, RocketTag.PUSH_TASK_ADD, addMsg.serialize(), executeTime);

            return true;
        }
        return false;
    }
}
