package com.starbuds.server.service.task.job;

import com.starbuds.server.common.constant.task.ExportExcelBizTypeEnum;

import java.util.List;

/**
 * @author laoliu
 * @date 2021/8/25 14:46
 * @description 获取导出数据接口
 */
public interface ExportExcel {

    /**
     * 业务类型
     *
     * @return
     */
    ExportExcelBizTypeEnum getBizType();

    /**
     * 导出VO clz类型
     *
     * @return
     */
    Class getClassType();

    /**
     * 导出文件名称
     *
     * @return
     */
    String getFileName();

    /**
     * 导出sheet名称
     *
     * @return
     */
    String getSheetName();

    /**
     * 获取总数据
     *
     * @return
     */
    List getRowsList(Long startTime, Long endTime);
}
