package com.starbuds.server.service.task.job;

import com.starbuds.server.common.service.user.SocialRelationService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

/**
 * 构建历史关注
 *
 * @Author: lujiao
 * @Date: 2021/8/3 16:41
 */
@Slf4j
@Component
public class FollowRelationHisJob {

    @Reference(version = "1.0.0")
    private SocialRelationService socialRelationService;

    @XxlJob(value = JobHandlers.BUILD_FOLLOW_HIS)
    public ReturnT<String> buildFollowHisHandler(String param) {
        log.info("开始生成历史数据");
        socialRelationService.buildHistorySocialRelation();
        return ReturnT.SUCCESS;
    }
}
