package com.starbuds.server.service.task.job;

import cn.hutool.core.collection.CollectionUtil;
import com.alibaba.fastjson.JSON;
import com.starbuds.server.common.constant.cache.RedisRtcKeys;
import com.starbuds.server.common.service.data.RedisService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

/**
 * @Author: lujiao
 * @Date: 2021/10/15 17:13
 */
@Slf4j
@Component
public class RedisKeyExpiredJob {

    @Reference(version = "1.0.0")
    RedisService redisService;

    @XxlJob(value = JobHandlers.REDIS_KEY_EXPIRED)
    public ReturnT<String> redisKeyExpiredHandler(String param) {
        Set<Object> combKeys = redisService.hashKeys(RedisRtcKeys.RTC_COMBO_TIME);
        if (CollectionUtil.isNotEmpty(combKeys)) {
            List<String> query = new ArrayList<>(combKeys.size());
            combKeys.forEach(i -> {
                query.add(RedisRtcKeys.RTC_GIFT_COMBO + i);
            });
            redisService.batchGet(query);
            // log.info("飘屏扫描执行结果 : {}", res.toString());
        }
        return ReturnT.SUCCESS;
    }
}
