package com.starbuds.server.service.task.job;

import com.starbuds.server.common.pojo.finance.BagItemAddDTO;
import com.starbuds.server.common.service.core.IdentityService;
import com.starbuds.server.common.service.finance.BagService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * 发送勋章任务
 *
 * @author aoe
 * @date 2021/7/14
 */
@Slf4j
@Component
public class SendMedalJob {

    @Reference(version = "1.0.0")
    private BagService bagService;

    @Reference(version = "1.0.0")
    private IdentityService identityService;

    // 参考 POST sendItem
    @Transactional(rollbackFor = Exception.class)
    @XxlJob(value = JobHandlers.SEND_MEDAL_TASK)
    public ReturnT<String> sendMedalHandler(String param) {
        Long hisId = identityService.getId();
        List<BagItemAddDTO> dtoList = new ArrayList<>();

        if (CollectionUtils.isEmpty(dtoList)) {
            log.info("发送勋章数据为空，无需发放");
            return ReturnT.SUCCESS;
        }

        /*long currentTime = System.currentTimeMillis();
        for (BagItemAddDTO dto : dtoList) {
            dto.setDuration(dto.getExpireTime());
            if (dto.getExpireTime() != null && dto.getExpireTime() > 0) {
                dto.setExpireTime(currentTime + dto.getExpireTime());
            }
            dto.setUserId(userId);
            dto.setRemarks(remarks);
            dto.setOrderId(hisId);
        }*/
        // 发放勋章道具
        boolean sendMedal = bagService.batchAddItem(dtoList);
        return ReturnT.SUCCESS;
    }
}
