package com.starbuds.server.service.task.job;

import com.starbuds.server.common.service.data.WordFilterService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

/**
 * 同步所有敏感词数据到ES
 *
 * @author aoe
 * @date 2020/12/28
 */
@Slf4j
@Component
public class SyncAllFilterWords2EsJob {

    @Reference(version = "1.0.0")
    private WordFilterService wordFilterService;

    @XxlJob(value = JobHandlers.SYNC_ALL_FILTER_WORDS_2_ES)
    public ReturnT<String> syncAllUser2EsHandler(String param) {
        log.info("同步所有敏感词数据到ES开始");
        wordFilterService.syncAll2Es();
        // 由于超时，看不到结果
        return ReturnT.SUCCESS;
    }
}
