package com.starbuds.server.service.task.job;

import com.starbuds.server.common.service.user.UserMedalJobService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

/**
 * 用户勋章状态
 *
 * @author aoe
 * @date 2022/1/17
 */
@Slf4j
@Component
public class UserMedalStatusJob {

    @Reference(version = "1.0.0")
    private UserMedalJobService userMedalJobService;

    @XxlJob(value = JobHandlers.USER_MEDAL_STATUS_TO_GREY)
    public ReturnT<String> userMedalStatusToGreyHandler(String param) {
        log.info("执行用户勋章状态开始 {}", param);
        int putGreyCount = userMedalJobService.sendPutGreyMessages();
        log.info("用户勋章置灰数量 {}", putGreyCount);
        return ReturnT.SUCCESS;
    }
}
