package com.starbuds.server.service.task.job;

import com.starbuds.server.common.service.user.UserService;
import com.starbuds.server.service.task.constant.JobHandlers;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/4/29 18:06
 * @Description 用户状态更新
 */
@Slf4j
@Component
public class UserStatusJob {

    @Reference(version = "1.0.0")
    UserService userService;

    @Transactional(rollbackFor = Exception.class)
    @XxlJob(value = JobHandlers.USER_FORBIDDEN_EXPIRE)
    public ReturnT<String> userForbiddenExpireHandler(String param) {
        log.info("处理用户状态封禁到期 {}", param);
        userService.handleUserForbiddenExpire();
        log.info("执行成功");
        return ReturnT.SUCCESS;
    }

}
