package com.starbuds.server.service.task.util;

import cn.hutool.core.convert.Convert;
import com.starbuds.server.service.task.entity.ShardingParam;
import com.xxl.job.core.util.ShardingUtil;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/29
 */
public class ShardingHelper {
    public static ShardingParam getParam(ShardingUtil.ShardingVO shardingVO, Long size) {
        ShardingParam shardingParam = null;
        if (size > 0) {
            // 每个分片处理数
            int sizePerShading = Convert.toInt(size / shardingVO.getTotal());
            int start = 0;
            int end = -1;
            if (sizePerShading > shardingVO.getTotal()) {
                // 根据分片数量取对应区间
                int[] startArr = new int[shardingVO.getTotal()];
                for (int i = 0; i < shardingVO.getTotal(); i++) {
                    startArr[i] = sizePerShading * i;
                }

                start = startArr[shardingVO.getIndex()];
                end = shardingVO.getIndex() == shardingVO.getTotal() - 1 ? -1 : sizePerShading - 1;
                shardingParam = new ShardingParam();
                shardingParam.setStart(start);
                shardingParam.setEnd(end);
            } else {
                if (shardingVO.getIndex() == 0) {
                    shardingParam = new ShardingParam();
                    shardingParam.setStart(start);
                    shardingParam.setEnd(end);
                }
            }
        }

        return shardingParam;
    }
}
